Bug 151315 - kernel BUG() at pageattr:107 with rmmod e1000
kernel BUG() at pageattr:107 with rmmod e1000
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
ia32e Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks: 154907 156323
  Show dependency treegraph
 
Reported: 2005-03-16 15:39 EST by Ganesh Venkatesan
Modified: 2007-11-30 17:07 EST (History)
6 users (show)

See Also:
Fixed In Version: RHSA-2005-514
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 08:50:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
jwltest-ioremap-fixes.patch (7.32 KB, patch)
2005-03-31 14:09 EST, John W. Linville
no flags Details | Diff

  None (edit)
Description Ganesh Venkatesan 2005-03-16 15:39:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.2) Gecko/20040803

Description of problem:
When e1000 is loaded (insmod) and later removed (rmmod), rmmod seg faults. A similar issue is described in http://www.ussg.iu.edu/hypermail/linux/kernel/0411.0/0188.html.

This is fixed in kernel 2.6.11 from kernel.org.

Version-Release number of selected component (if applicable):
kernel-2.6.9-5, several versions of e1000

How reproducible:
Always

Steps to Reproduce:
0. RHEL4 installed on a X86_64 machine with > 4GB of RAM
1. insmod e1000
2. rmmod e1000
  

Actual Results:  segmentation fault. Kernel BUG() called at pageattr.c line 107.

Cannot unload the module.

Expected Results:  The module should get unloaded.

Additional info:
Comment 2 John W. Linville 2005-03-21 14:47:25 EST
I have incorporated a patch which should fix this in the test kernels here:

   http://people.redhat.com/linville/kernels/rhel4/

Please give that a try and let me know the results.  Thanks!
Comment 3 Ganesh Venkatesan 2005-03-21 19:30:37 EST
John:

What fix in the 'test' kernels are you referring to that could have fixed this
issue?

ganesh.
Comment 4 John W. Linville 2005-03-21 20:00:01 EST
Ganesh,

Sorry!  I forgot to add it to the patch table...look again, and you'll see it. 
Don't worry, I made sure that the patch was actually in the kernels... :-)
Comment 7 John W. Linville 2005-03-24 11:04:52 EST
Grrr...looks like that patch was bad.  I'm removing it from my test kernels, but
I don't have any alternative patches ATM...
Comment 8 James Antill 2005-03-29 17:54:22 EST
*** Bug 152429 has been marked as a duplicate of this bug. ***
Comment 9 John W. Linville 2005-03-30 09:44:46 EST
New test kernels are available at the location mentioned in comment 2.  These
contain a patch which backports some ioremap fixes from upstream.  The person
reporting bug 152429 indicates that the upstream patches fixed the problem there.

Please test and report results.  Thanks!
Comment 10 Ganesh Venkatesan 2005-03-31 11:59:33 EST
I installed and booted to the updated kernel and am able to rmmod e1000 with no
errors now.
Comment 12 John W. Linville 2005-03-31 14:09:34 EST
Created attachment 112534 [details]
jwltest-ioremap-fixes.patch
Comment 20 Jason Baron 2005-06-17 13:22:35 EDT
testing kernel -11.14.EL, which has additional changes in this area at:
http://people.redhat.com/~jbaron/rhel4/RPMS.kernel/
Comment 24 Bruce Vessey 2005-08-19 10:18:42 EDT
FYI, Unisys also encountered this problem while testing our ES7000s and we're 
interested in knowing when the fix will be released.
Comment 25 John W. Linville 2005-08-19 10:35:41 EDT
RHEL4 U2 
Comment 29 Red Hat Bugzilla 2005-10-05 08:50:09 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-514.html

Note You need to log in before you can comment on or make changes to this bug.